clang 8.0.0

Public Member Functions | List of all members
clang::driver::FallbackCommand Class Reference

Like Command, but with a fallback which is executed in case the primary command crashes. More...

`#include "clang/Driver/Job.h"`

Inheritance diagram for clang::driver::FallbackCommand:
[legend]
Collaboration diagram for clang::driver::FallbackCommand:
[legend]

## Public Member Functions
| FallbackCommand (const Action &Source_, const Tool &Creator_, const char *Executable_, const llvm::opt::ArgStringList &Arguments_, ArrayRef< InputInfo > Inputs, std::unique_ptr< Command > Fallback_)
void | Print (llvm::raw_ostream &OS, const char *Terminator, bool Quote, CrashReportInfo *CrashInfo=nullptr) const override
int | Execute (ArrayRef< Optional< StringRef >> Redirects, std::string *ErrMsg, bool *ExecutionFailed) const override
Public Member Functions inherited from clang::driver::Command
| Command (const Action &Source, const Tool &Creator, const char *Executable, const llvm::opt::ArgStringList &Arguments, ArrayRef< InputInfo > Inputs)
| Command (const Command &)=default
virtual | ~Command ()=default
const Action & | getSource () const
| getSource - Return the Action which caused the creation of this job. More...
const Tool & | getCreator () const
| getCreator - Return the Tool which caused the creation of this job. More...
void | setResponseFile (const char *FileName)
| Set to pass arguments via a response file when launching the command. More...
void | setInputFileList (llvm::opt::ArgStringList List)
| Set an input file list, necessary if we need to use a response file but the tool being called only supports input files lists. More...
void | setEnvironment (llvm::ArrayRef< const char *> NewEnvironment)
| Sets the environment to be used by the new process. More...
const char * | getExecutable () const
const llvm::opt::ArgStringList & | getArguments () const
void | setPrintInputFilenames (bool P)
| Set whether to print the input filenames when executing. More...

## Additional Inherited Members
Static Public Member Functions inherited from clang::driver::Command
static void | printArg (llvm::raw_ostream &OS, StringRef Arg, bool Quote)
| Print a command argument, and optionally quote it. More...

## Detailed Description

Like Command, but with a fallback which is executed in case the primary command crashes.

Definition at line 138 of file Job.h.

## Constructor & Destructor Documentation

## ◆ FallbackCommand()

FallbackCommand::FallbackCommand | ( | const Action & | Source_,
|  | const Tool & | Creator_,
|  | const char * | Executable_,
|  | const llvm::opt::ArgStringList & | Arguments_,
|  | ArrayRef< InputInfo > | Inputs,
|  | std::unique_ptr< Command > | Fallback_
| ) |  |

Definition at line 374 of file Job.cpp.

## Member Function Documentation

## ◆ Execute()

int FallbackCommand::Execute | ( | ArrayRef< Optional< StringRef >> | Redirects,
|  | std::string * | ErrMsg,
|  | bool * | ExecutionFailed
| ) |  | const
| override virtual

Reimplemented from clang::driver::Command.

Definition at line 396 of file Job.cpp.

References clang::driver::Driver::Diag(), clang::driver::Command::Execute(), clang::driver::Command::getCreator(), clang::driver::ToolChain::getDriver(), clang::driver::Tool::getToolChain(), and ShouldFallback().

## ◆ Print()

void FallbackCommand::Print | ( | llvm::raw_ostream & | OS,
|  | const char * | Terminator,
|  | bool | Quote,
|  | CrashReportInfo * | CrashInfo = `nullptr`
| ) |  | const
| override virtual

Reimplemented from clang::driver::Command.

Definition at line 382 of file Job.cpp.

References clang::driver::Command::Print().

The documentation for this class was generated from the following files:

- include/clang/Driver/Job.h
- lib/Driver/Job.cpp